#keep level 1 fight #1

from eventAPI import *
from APIUtils import *

rtKeep1Flag1=0

def fireEvent(e):
   global rtKeep1Flag1
   rtKeep1Flag1 = getTag(e, "rtKeep1Flag1")
   if (rtKeep1Flag1 == 1):
      return 1
   else:
      fightThem(e)
   if (rtKeep1Flag1 == 1):
      return 1
   else:
      return 0

def fightThem(e):
   combatRet = combat(e, [("Angry Spirit", 8, 3, 10)])
   if (combatRet == 1):
      wonFight(e)

def wonFight(e):
   global rtKeep1Flag1
   rtKeep1Flag1 = 1
   setTag(e, "rtKeep1Flag1", rtKeep1Flag1)
